Package be.fgov.ehealth.dics.protocol.v5

# Class FindChapterIVParagraphRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindChapterIVParagraphRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindChapterIVParagraphRequest extends DicsRequestType implements Serializable

Java class for FindChapterIVParagraphRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindChapterIVParagraphRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByParagraphName" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByParagraphNameType"/>
             <element name="FindByLegalReferencePath" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindChapterIVParagraphRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByDmppType`
  `getFindByDmpp()`
  Returns all legal references concerning the medicinal product identified by this Dmpp
  `String`
  `getFindByLegalReferencePath()`
  Returns the paragraph identified by the given Legal Reference Path.
  `FindByParagraphNameType`
  `getFindByParagraphName()`
  Returns the paragraph identified by the given Chapter Name and Paragraph Name.
  `void`
  `setFindByDmpp(FindByDmppType value)`
  Sets the value of the findByDmpp property.
  `void`
  `setFindByLegalReferencePath(String value)`
  Sets the value of the findByLegalReferencePath property.
  `void`
  `setFindByParagraphName(FindByParagraphNameType value)`
  Sets the value of the findByParagraphName property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindChapterIVParagraphRequest

    public FindChapterIVParagraphRequest()

- ## Method Details

  - ### getFindByDmpp

    public FindByDmppType getFindByDmpp()
    Returns all legal references concerning the medicinal product identified by this Dmpp
    Returns:
      possible object is `FindByDmppType`

  - ### setFindByDmpp

    public void setFindByDmpp(FindByDmppType value)
    Sets the value of the findByDmpp property.
    Parameters:
      `value` - allowed object is `FindByDmppType`
    See Also:
      - `getFindByDmpp()`

  - ### getFindByLegalReferencePath

    public String getFindByLegalReferencePath()
    Returns the paragraph identified by the given Legal Reference Path.
    Returns:
      possible object is `String`

  - ### setFindByLegalReferencePath

    public void setFindByLegalReferencePath(String value)
    Sets the value of the findByLegalReferencePath property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByLegalReferencePath()`

  - ### getFindByParagraphName

    public FindByParagraphNameType getFindByParagraphName()
    Returns the paragraph identified by the given Chapter Name and Paragraph Name.
    Returns:
      possible object is `FindByParagraphNameType`

  - ### setFindByParagraphName

    public void setFindByParagraphName(FindByParagraphNameType value)
    Sets the value of the findByParagraphName property.
    Parameters:
      `value` - allowed object is `FindByParagraphNameType`
    See Also:
      - `getFindByParagraphName()`